Retrieves the job work instruction list with the specified key.

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6824df37-c359-4164-9336-d13394411050",
  "jobs_id": "a6f43809-dc05-4fa7-aefd-74f86f2c773f",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "a5757637-0031-4266-88f1-27d8d6c7cc0d",
    "_parent_id": "295cca95-6e84-48fb-bbd3-9137036b229c",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "96a36556-2e82-4ca1-be8e-d82b7a3e25f0",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "aea21d09-e3cc-498e-96c3-e7dd50bd16a3",
      "_parent_id": "1ca02837-6f7d-4bcb-95db-cfd1dbbafff4",
      "root_parent_id": "f4f55480-f4d9-4562-b71f-8f1493f62201",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "cc2ca677-b0c6-4c32-8914-68a879ac81fb",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "58fcafb9-a4da-4466-99c2-e6c35007b21c",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "b6878c2d-2a87-4939-a9ba-76754ece2083",
        "_parent_code": "sample string 6",
        "sales_organization_id": "cbebe599-b978-425f-9823-ecb12e9c366e",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
          "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
          "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
        },
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "equipment_model_id": "624f103a-f988-40d6-ab14-9dc14c129691",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "f51caca1-afc1-447b-8b38-adce51f2a818",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "dd251ce4-f907-4cae-970c-24a5323e9e41",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "8654de24-9ca3-46ba-b167-7b94707ad28f",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "50022c3a-253d-440f-a647-460957e0ea73",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
            "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
            "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
          },
          "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
        },
        "equipment_family_id": "6739c3d1-fe1c-4d26-a253-b0fc1e36f74e",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "58fcafb9-a4da-4466-99c2-e6c35007b21c",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "b6878c2d-2a87-4939-a9ba-76754ece2083",
          "_parent_code": "sample string 6",
          "sales_organization_id": "cbebe599-b978-425f-9823-ecb12e9c366e",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
            "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
            "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
          },
          "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
        },
        "date_in_production_since": "2026-11-17T23:42:52.2261606+00:00",
        "date_out_of_production_since": "2026-11-17T23:42:52.2261606+00:00",
        "date_end_support": "2026-11-17T23:42:52.2261606+00:00",
        "sales_organization_id": "461322a5-6701-40ad-9516-bc89b0547ddd",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
          "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
          "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "project_status_id": "4a0107b9-9ace-4c38-9ecf-bfc3518571ae",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "8ef1703a-e139-4d74-bc13-04bf121839bd",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "2b6b345e-9074-47ea-b04c-b291c656a5f2",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
          "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
          "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "company_id": "5fca608e-9967-4cdd-8936-f97a485161ca",
      "company_code": "sample string 12",
      "db_address_id": "8ce40e7d-7f76-4b6b-9ff8-65ffb0c08f65",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "41a07311-404b-4bf0-be29-c7022725bdf6",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "76f3821b-beda-4623-9883-23e58148258c",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-17T23:42:52.2261606+00:00",
      "date_create": "2026-11-17T23:42:52.2261606+00:00",
      "date_update": "2026-11-17T23:42:52.2261606+00:00",
      "updated_by_user_id": "1fb6c654-5afc-4dd7-b04d-26f9490c8584",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-17T23:42:52.2261606+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-17T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-17T23:42:52.2261606+00:00",
      "date_last_job": "2026-11-17T23:42:52.2261606+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-17T23:42:52.2261606+00:00",
      "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "3b4213d2-619b-4d64-ace5-f46bb22683c1",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "34384980-d403-4b59-bba1-0bf53ac03337",
      "name": "sample string 2",
      "sales_organization_id": "7ad4b7f7-d408-4db9-bd97-9ae72a5cf827",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "7bd9e31a-7adb-468d-b7c1-deba36e1382d",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "480702b0-c216-4229-ae69-5ac72eaa9a99",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "d0f8d674-f502-4a8a-95cf-c1b57aae4ab0",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
        "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
        "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
    },
    "job_status_id": "247d6f8b-52a8-4c77-b473-9a24bed1f132",
    "job_status_code": "sample string 11",
    "db_address_id": "1d63ff55-48a8-4bcc-b782-b5df22090a19",
    "contact_id": "fe2c37ea-6d9c-4917-876a-76a63fbcde19",
    "requested_by_company_id": "8e6b1a5d-1883-44cf-ba86-68a7bc75e677",
    "requested_by_contact_id": "47e51b8e-56b4-44eb-a3ec-0ebab4d6b33e",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-17T23:42:52.2261606+00:00",
    "due_date": "2026-11-17T23:42:52.2261606+00:00",
    "date_create": "2026-11-17T23:42:52.2261606+00:00",
    "date_update": "2026-11-17T23:42:52.2261606+00:00",
    "date_closed": "2026-11-17T23:42:52.2261606+00:00",
    "suggested_user_id": "0e58c787-4a30-4ccd-a6fe-815fe94cac71",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "98416eed-3116-480c-8463-468616025712",
      "db_language_id": "8312aecb-b196-4f0a-b410-d52459db0b85",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-17T23:42:52.2261606+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "7eb60f1b-1f12-40d8-9ce3-11ac51f878da",
      "sales_organization": {
        "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
        "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
        "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "6bcf432a-e7af-458c-8f29-148bce0f85ae",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "38dd3654-873b-40f0-8561-a303d7b3b142",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "bd372d46-5302-4c84-98db-b9fcc63754f5"
    },
    "suggested_date_start": "2026-11-17T23:42:52.2261606+00:00",
    "skill_id": "cf833b5b-542f-4308-84bc-564a7ba6b017",
    "skill_code": "sample string 32",
    "skill": {
      "id": "6b546708-3d22-4d06-a9af-5ec39cc89bd8",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "2f2ac526-17e6-41cb-ab2f-d1135f4069ae",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "dd0b5f85-0649-4862-984f-e06ba4bbe574",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "585ba0fa-5c89-4608-b95c-60e9b1c046d6",
        "db_currency_id": "b5784783-5549-4847-9d45-89251df47f2b",
        "db_language_id": "fd8ae904-8cec-45e2-a7d8-706497d279a2",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
      },
      "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "b8f3c899-b4fb-4fd5-a2c4-af97e2e495c0",
    "date_reported_by_company": "2026-11-17T23:42:52.2261606+00:00",
    "id2": 36,
    "company_id": "616962b4-4b7e-41bd-8c92-68b3b118628a",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "a16e507b-8472-4279-9125-b34d929a79b4",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
  },
  "work_instruction_details_id": "d7b063a2-8d66-46a3-ac48-082db02bdc56",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "79787eeb-b417-4057-8609-4d87dcdef9d8",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "1096fb72-f121-48a6-b9f4-968fbbe5a3b7",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-17T23:42:52.2261606+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "7c5519b8-1a68-47da-9ac1-bbf444a57aaf",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-17T23:42:52.2261606+00:00"
}